Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIObject.Node.Xmlns

Enclosing interface:
  OAIObject.Node

public static interface OAIObject.Node.Xmlns

An interface containing namespace uri's

Field Summary
`static java.lang.String` | `DC` namespace URIs for metadata formats
`static java.lang.String` | `EPR`
`static java.lang.String` | `EPR_1_0`
`static java.lang.String` | `ID`
`static java.lang.String` | `ID_1_0`
`static java.lang.String` | `ID_1_0_aps` some repositories don't use the correct namespaces (American Physical Society)
`static java.lang.String` | `ID_2_0`
`static java.lang.String` | `OAI` namespaces from the current (1.1) version of the protocol
`static java.lang.String` | `OAI_1_0` namespaces from the 1.0 version of the protocol
`static java.lang.String` | `OAI_2_0` namespaces from the 2.0 version of the protocol
`static java.lang.String` | `OAI_DC_2_0`
`static java.lang.String` | `OAI_MARC`
`static java.lang.String` | `OAI_MARC_1_0`
`static java.lang.String` | `RFC1807`
`static java.lang.String` | `XSI`

Field Detail

### DC

    public static final java.lang.String DC

  namespace URIs for metadata formats

  See Also:
    Constant Field Values

### RFC1807

    public static final java.lang.String RFC1807

See Also:
  Constant Field Values

### OAI_MARC

    public static final java.lang.String OAI_MARC

See Also:
  Constant Field Values

### OAI

    public static final java.lang.String OAI

  namespaces from the current (1.1) version of the protocol

  See Also:
    Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### EPR

    public static final java.lang.String EPR

See Also:
  Constant Field Values

### OAI_2_0

    public static final java.lang.String OAI_2_0

  namespaces from the 2.0 version of the protocol

  See Also:
    Constant Field Values

### OAI_DC_2_0

    public static final java.lang.String OAI_DC_2_0

See Also:
  Constant Field Values

### ID_2_0

    public static final java.lang.String ID_2_0

See Also:
  Constant Field Values

### OAI_1_0

    public static final java.lang.String OAI_1_0

  namespaces from the 1.0 version of the protocol

  See Also:
    Constant Field Values

### ID_1_0

    public static final java.lang.String ID_1_0

See Also:
  Constant Field Values

### EPR_1_0

    public static final java.lang.String EPR_1_0

See Also:
  Constant Field Values

### OAI_MARC_1_0

    public static final java.lang.String OAI_MARC_1_0

See Also:
  Constant Field Values

### ID_1_0_aps

    public static final java.lang.String ID_1_0_aps

  some repositories don't use the correct namespaces (American Physical Society)

  See Also:
    Constant Field Values

### XSI

    public static final java.lang.String XSI

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.